@charset "UTF-8";

html { 
    font-size: 100%;
    /* max-width: 1300px; */
    max-width: 1024px;
    margin: 0 auto;
    background: #fff; /* Fills the page */
    position: relative; /* Fix for absolute positioning */
}

body{
    margin: 0px;
   -webkit-text-size-adjust: 100%;
    font-family: heisei-maru-gothic-std, sans-serif;
    line-height: 1.7; 
    color: #4d4d4d;
}

h1 {
    font-size: 1.2em;
    font-weight: 800;
}

h2,p,a {
    font-weight: 400;
    text-decoration: none;
    color: #4d4d4d;
}

p {
    font-size: 1em;
}

img {
    max-width: 100%;
}

/* ページのトップへ移動 */
html {
    scroll-behavior: smooth;
}

.pagetop {
    height: 60px;
    width: 60px;
    position: fixed;
    right: 10px;
    bottom: 10px;
    background: #FCD208;
    /* border: solid 2px #000; */
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 90;
    opacity: 0.8;
}

.pagetop__arrow {
    height: 10px;
    width: 10px;
    border-top: 3px solid #fff;
    border-right: 3px solid #fff;
    transform: translateY(20%) rotate(-45deg);
}


/* header画像のところ */
.header-content {
    text-align: center;
}

/* 冒頭文・締め文　*/
.beginning-sentence,
.ending-sentence {
    padding: 1.5em 1em;
    /* margin: 0px 0px; */
}

.ending-sentence {
    margin-top: -3em;
}

/* 記事全体 */
.wrapper {
    margin: 0 auto;
    padding: 0 2%;
}

.content {
    margin-bottom: 3em;
}

.blog-header img {
    box-shadow: 0 2px 6px rgb(0 0 0 / 30%);
}

.special {
    margin: 0px 0px -10px 5px;
    color: #DC0609;
    font-size: 0.9em;
}

/* 作者 */
.author {
    display: flex;
    align-items: center;
    font-size: 1.5em;
    border-bottom: 3px solid #1C79A4;
    margin-bottom: 1em;
}

.badge {
    width: 75px;
    height: auto;
    margin-right: 10px;
}

.author-img {
    width: 50px;
    height: auto;
    border: 1px solid #fff;
    border-radius: 50%;
    box-shadow: 0 2px 6px rgb(0 0 0 / 24%);
    -webkit-transition: opacity .25s ease;
    transition: opacity .25s ease;
    background-color: #fff;
    margin-right: 10px;
}

.author-name {
    margin: 5px;
    font-weight: 400;
}

/* レコメンド　コメント部分 */
.recommend {
    background: #f1fbfd;
    border: #797979 solid 0.3px;
    border-radius: 8px;
    padding: 0.7em 0.7em 1em;
    margin: 10px 0px;
}

.recommend-title {
    background: linear-gradient(transparent 90%, #1C79A4 90%);
    width: 7.7em;
    margin-bottom: 1.5em;
}

.balloon5 {
    width: 100%;
    overflow: hidden;
}

.balloon5 .faceicon {
    float: left;
    margin-right: -90px;
    width: 45px;
}

.pink {
    background-color: #F27B98;
}

.blue {
    background-color: #7c99f2;
}

.green {
    background-color: #99f27c;
}

.yellow {
    background-color: #f2d57c;
}

.balloon5 .faceicon img {
    width: 100%;
    height: auto;
    border: solid 3px #fff;
    border-radius: 50%;
}

.balloon5 .chatting {
    width: 100%;
    padding-bottom: 1em;
}

.says {
    display: inline-block;
    position: relative;
    margin: 0px 0 0 70px;
    padding: 3px;
    border-radius: 12px;
    background: #fff;
}

.says:after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 10px;
    left: -22px;
    border: 12px solid transparent;
    border-right: 12px solid #fff;
}

.says p {
    margin: 0.4rem;
    padding: 0;
}


/* footer */
footer {
    text-align: center;
}

footer p {
    color:#595959;
}

/* NAPBIZアプリ */
.app-content {
    background-color: #fef2f2;
    padding: 0.8em;
    border-radius: 8px;
}

.app {
    display: flex;
}

.icon {
    width: 90px;
}

.icon img {
    border-radius: 15px;
}

.android {
    width: 135px;
}

.ios,
.android {
    margin: 0 0 0 25px;
}

.ios p,
.android p {
    margin-bottom: 0px!important;
}

/* ハンバーガーメニュー */
.menu-btn {
    position: fixed;
    top: 10px;
    right: 10px;
    display: flex;
    height: 60px;
    width: 60px;
    justify-content: center;
    align-items: center;
    z-index: 90;
    background-color: #FCD208;
    border-radius: 50%;
    opacity: 0.8;
}

.menu-btn span,
.menu-btn span:before,
.menu-btn span:after {
    content: '';
    display: block;
    height: 3px;
    width: 25px;
    border-radius: 3px;
    background-color: #fff;
    position: absolute;
}

.menu-btn span:before {
    bottom: 8px;
}

.menu-btn span:after {
    top: 8px;
}

#menu-btn-check:checked ~ .menu-btn span {
    background-color: rgba(255, 255, 255, 0);/*メニューオープン時は真ん中の線を透明にする*/
}

#menu-btn-check:checked ~ .menu-btn span::before {
    bottom: 0;
    transform: rotate(45deg);
}

#menu-btn-check:checked ~ .menu-btn span::after {
    top: 0;
    transform: rotate(-45deg);
}

#menu-btn-check {
    display: none;
}

/* ハンバーガーメニューのメニュー */
.menu-content ul {
    padding: 70px 10px 0;
}

.menu-content ul li {
    border-bottom: solid 1px #fff;
    list-style: none;
}

.menu-content ul li a {
    font-family: dnp-shuei-mgothic-std, sans-serif;
    display: block;
    width: 100%;
    font-size: 1rem;
    box-sizing: border-box;
    color:#fff;
    text-decoration: none;
    padding: 9px 22px 10px 0px;
    position: relative;
}

.menu-content ul li a::before {
    content: "";
    width: 7px;
    height: 7px;
    border-top: solid 2px #fff;
    border-right: solid 2px #fff;
    transform: rotate(45deg);
    position: absolute;
    right: 11px;
    top: 16px;
}

.menu-content {
    padding: 10px;
    width: 30%;
    height: auto;
    position: fixed;
    top: 0;
    left: 100%;/*leftの値を変更してメニューを画面外へ*/
    z-index: 80;
    background-color: #FCD208;
    transition: all 0.5s;/*アニメーション設定*/
}

#menu-btn-check:checked ~ .menu-content {
    left: 70%;/*メニューを画面内へ*/
}


/*  デバイス対応  */

/* スマホ縦 */
@media (max-width: 480px) {
    #menu-btn-check:checked ~ .menu-content {
        left: 50%;/*メニューを画面内へ*/
    }
    .menu-content {
        width: 50%;
    }
    
    .menu-content ul li a {
        font-size: 1rem;
    }
    #menu li a {
        font-size: 1rem;
    }

    .special {
        font-size: 0.85em;
    }

    .balloon5 .faceicon {
        width: 50px;
    }

    .says {
        margin: 0 0 0 70px;
        padding: 5px;
    }


    /* NAPBIZアプリ */
    .icon {
        width: 75px;
    }
    
    .ios {
        width: 100px;
    }

    .android {
        width: 100px;
    }
    
    .ios,
    .android {
        margin: 0 0 0 15px;
    }

}

/* ipad */
@media (min-width:481px) and (max-width: 960px) {

    /* NAPBIZアプリ */
    .icon {
        width: 100px;
    }

    .android {
        width: 135px;
    }
    
    .ios,
    .android {
        margin: 0 0 0 25px;
    }

}

/* PC */
@media screen and (min-width:1024px) {
   
    #menu li a {
        padding: 10px;
    }

} 
